Full documentation for this service is available at /documentation/searchservice.
SearchByFixedCriteria |WebMethod|
Search with a fixed set of possible lists.
Parameters
- request, The SearchByFixedCriteriaRequest with search parameters.
Returns
Filled SearchResult object
SOAP 1.1
The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/searchservice.asmx HTTP/1.1 Host: api.tradera.com Content-Type: text/xml; charset=utf-8 SOAPAction: "http://api.tradera.com/SearchByFixedCriteria" Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <SearchByFixedCriteria xmlns="http://api.tradera.com"> <request>request</request> </SearchByFixedCriteria> </soap:Body> </soap:Envelope>
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <SearchByFixedCriteriaResponse xmlns="http://api.tradera.com"> <SearchByFixedCriteriaResult>Filled SearchResult object</SearchByFixedCriteriaResult> </SearchByFixedCriteriaResponse> </soap:Body> </soap:Envelope>
SOAP 1.2
The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/searchservice.asmx HTTP/1.1 Host: api.tradera.com Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <SearchByFixedCriteria xmlns="http://api.tradera.com"> <request>request</request> </SearchByFixedCriteria> </soap12:Body> </soap12:Envelope>
HTTP/1.1 200 OK Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <SearchByFixedCriteriaResponse xmlns="http://api.tradera.com"> <SearchByFixedCriteriaResult>Filled SearchResult object</SearchByFixedCriteriaResult> </SearchByFixedCriteriaResponse> </soap12:Body> </soap12:Envelope>
HTTP GET
The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.
GET /v3/searchservice.asmx/SearchByFixedCriteria?appId=string&appKey=string&request=string HTTP/1.1 Host: api.tradera.com
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <SearchByFixedCriteriaResult xmlns="http://api.tradera.com">Filled SearchResult object</SearchByFixedCriteriaResult>
HTTP POST
The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.
POST /v3/searchservice.asmx/SearchByFixedCriteria HTTP/1.1 Host: api.tradera.com Content-Type: application/x-www-form-urlencoded Content-Length: length appId=string&appKey=string&request=string
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <SearchByFixedCriteriaResult xmlns="http://api.tradera.com">Filled SearchResult object</SearchByFixedCriteriaResult>